# deviceNode Struct Reference

`#include <device.h>`

## Data Fields

deviceNode * | prev
deviceNode * | next
char | type
int | major
int | minor
uInt32 | size
void * | info
void(* | read )(void *, void *, uInt32, uInt32)
void(* | write )(void *, void *, uInt32, uInt32)
void(* | reset )(void *)
void(* | init )(void *)
void(* | ioctl )(void *)
void(* | stop )(void *)
void(* | start )(void *)
void(* | standby )(void *)

## Field Documentation

void* deviceNode::info

void(* deviceNode::init)(void *)

void(* deviceNode::ioctl)(void *)

int deviceNode::major

int deviceNode::minor

struct deviceNode* deviceNode::next

struct deviceNode* deviceNode::prev

void(* deviceNode::read)(void *,void *,uInt32,uInt32)

void(* deviceNode::reset)(void *)

uInt32 deviceNode::size

void(* deviceNode::standby)(void *)

void(* deviceNode::start)(void *)

void(* deviceNode::stop)(void *)

char deviceNode::type

void(* deviceNode::write)(void *,void *,uInt32,uInt32)

The documentation for this struct was generated from the following file:

- device.h